neochat (26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:42:13 +0100

neochat (26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:38:35 +0100

neochat (26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 12:04:14 +0100

neochat (26.04.0-2ubuntu2) stonking; urgency=medium

  * Only build depend on qt6-webview-dev on architectures where it
    exists [amd64 amd64v3 arm64 armhf].

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 06:21:55 +0100

neochat (26.04.0-2ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add additional qmldep overrides and QML runtime deps.
    - Make tests non-fatal.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:43:11 +0100

neochat (26.04.0-2) unstable; urgency=medium

  * Ignore QtTest as qml dependency that is only used for tests.

 -- Sandro Knauß <hefee@debian.org>  Mon, 27 Apr 2026 22:17:15 +0200

neochat (26.04.0-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release(Closes: #1131580).
  * Start performing a QML dependency automatic scan for the basic QML
    dependencies.
  * Add myself as uploaders.
  * Drop manually written qml dependency.
  * Simplify debian/salsa-ci.yml.
  * Add missing build dependency.
    -- libquickcharts-dev, qt6-location-dev and qt6-positioning-dev.
  * Fix errors in qmldeps.overrides.
  * Disable autotests.
  * Remove patches that disable specific tests.
  * Add missing qmldeps.

  [ Marco Mattiolo ]
  * Update build-deps and deps with the info from cmake.
  * Add qmldeps override for libneochat QML module.
  * d/copyright: drop superfluous lines reported by lintian.
  * d/copyright: refer to GNU website rather than FSF address for licenses.
  * d/control: add qt6-speech-dev and qt6-httpserver-dev build-deps.
  * d/control: drop Priority line, it had the default value.
  * d/control: drop redundant Rules-Requires-Root.
  * Bump Standards-Version to 4.7.3, no change required.
  * Migrate to debian/watch version 5 syntax.

  [ Aurélien COUDERC ]
  * Reenable build-time tests, skip tests requiring network.
  * Drop now unnecessary qt6-declarative-private-dev build-dep.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.4, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Apr 2026 23:10:36 +0200

neochat (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 14:01:55 +0000

neochat (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:32:14 +0000

neochat (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:53:56 +0000

neochat (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:18:28 +0000

neochat (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:37:51 +0000

neochat (25.11.90-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 14:37:16 +0100

neochat (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:17:47 +0000

neochat (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:03:19 +0000

neochat (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:29:35 +0000

neochat (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:58:17 +0100

neochat (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:44 +0100

neochat (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:00:33 +0100

neochat (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:02:19 +0100

neochat (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Add new build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:27:08 +0100

neochat (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:57:08 +0100

neochat (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:02:44 +0100

neochat (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:59 +0100

neochat (25.04.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build with -Os on armhf to work around gcc bug. (Thanks Rik Mills)
    (Closes: #1111406)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Aug 2025 22:37:57 +0200

neochat (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 12 Aug 2025 07:57:49 +0200

neochat (25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Drop backported patches now part of the upstream release.
  * Update qmldeps.overrides.
  * Refresh copyright information.
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 06 May 2025 00:33:23 +0200

neochat (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build with -Os on armhf to prevent OOM FTBFS.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:58 +0100

neochat (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:59 +0000

neochat (24.12.2-0ubuntu2) plucky; urgency=medium

  * Build depends on libkf6iconthemes-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 16:49:28 +0000

neochat (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:47 +0000

neochat (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:40:27 +0000

neochat (24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:55 +0100

neochat (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:24:40 +0000

neochat (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)
  * Bump minimim required libquotient build dep to >= 0.9.0

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2024 18:00:35 +0000

neochat (24.08.3-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop KUnifiedPush as a build dependency, it didn’t make it into
    Trixie before the freeze.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 25 Apr 2025 15:31:12 +0200

neochat (24.08.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build with UnifiedPush support.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 23:45:32 +0200

neochat (24.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Backport upstream commit d2e5c1d33b587d0931abbb57081d318864ea8ebe to disable
    TextHandlerTest; patch upstream_Disable-TextHandlerTest-on-CI.patch.
    (Closes: #1100244)

 -- Pino Toscano <pino@debian.org>  Sun, 16 Mar 2025 13:36:48 +0100

neochat (24.08.3-0ubuntu2) plucky; urgency=medium

  * Only build with QtWebView on amd64 arm64 armhf.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 15:55:51 +0000

neochat (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:35 +0000

neochat (24.08.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.2)
  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Nov 2024 14:50:31 +0000

neochat (24.08.1-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Depend on the Qt6 build of KQuickImageEditor.
  * Add build dependency on qt6-declarative-private-dev.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 11:32:40 +0100

neochat (24.08.1-3ubuntu1) plucky; urgency=medium

  * Don't fail build time tests on armhf.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2024 16:56:00 +0000

neochat (24.08.1-3) experimental; urgency=medium

  * Switch to dh_qmldeps.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 12:51:25 +0200

neochat (24.08.1-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Work around #1084829 (qt6-location):
    - Add qml6-module-qt-labs-animations (qml6-module-qtlocation depdends
      on this).
    - Add qt6-location-plugins otherwise location selection is an empty
      view.

 -- Sandro Knauß <hefee@debian.org>  Wed, 09 Oct 2024 13:05:30 +0200

neochat (24.08.1-1) experimental; urgency=medium

  [ Vincent Pinon ]
  * New upstream release.
  * Update build-deps and deps with the info from cmake.
  * Use pkgkde-getqmldepends to create QML dependencies.
  * Update copyright.
  * Switch to build with Qt 6.

 -- Sandro Knauß <hefee@debian.org>  Mon, 07 Oct 2024 16:00:48 +0200

neochat (23.08.5-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Switch kirigami-addons-dev B-D to kirigami-addons5-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 23 Aug 2024 17:59:53 +0200

neochat (23.08.5-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing runtime dependency
    qml-module-org-kde-kirigami-addons-labs-components. (Closes: #1072486)
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jul 2024 01:03:44 +0200

neochat (23.08.5-2) unstable; urgency=medium

  * Team upload.
  * Add missing QML dependencies

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 20 May 2024 00:56:31 +0200

neochat (23.08.5-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.8
    - bump libquotient-dev to 0.7
    - add libqt5sql5-sqlite for the tests
  * Bump Standards-Version to 4.7.0, no changes required.
  * Add more runtime dependencies needed by the new version: libqt5sql5-sqlite,
    qml-module-org-kde-quickcharts, and qml-module-qtlocation.
  * Add -ffloat-store -fexcess-precision=fast to the CXXFLAGS on i386
    architectures to fix float usages/comparisons.
  * The rebuild with libquotient 0.7+ will enable the support for E2EE
    encryption. (Closes: #1040931)

 -- Pino Toscano <pino@debian.org>  Fri, 17 May 2024 17:50:24 +0200

neochat (23.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patch checkatomics-to-fix-riscv64-build.patch, which works around a
    missing dependency in one of the qcoro cmake libraries, and ought to be
    fixed there.
  * Run the tests using a display: this will be needed when building against
    libquotient 0.7, which will enable some tests: (Closes: #1028642)
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run
  * Add the libkf5doctools-dev build dependency to build the documentation.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jul 2023 06:58:56 +0200

neochat (23.04.2-1) unstable; urgency=medium

  * Fix watch file target now that Neochat is part of KDE Gear.
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (23.04.2).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * Refresh patch checkatomics-to-fix-riscv64-build.patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 23:44:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog neochat`.
